﻿// <auto-generated />
using DocReader.Data.Context;
using Microsoft.EntityFrameworkCore;
using Microsoft.EntityFrameworkCore.Infrastructure;
using Microsoft.EntityFrameworkCore.Metadata;
using Microsoft.EntityFrameworkCore.Storage.ValueConversion;

#nullable disable

namespace DocReader.Data.Migrations
{
    [DbContext(typeof(RepoDbContext))]
    partial class RepoDbContextModelSnapshot : ModelSnapshot
    {
        protected override void BuildModel(ModelBuilder modelBuilder)
        {
#pragma warning disable 612, 618
            modelBuilder
                .HasAnnotation("ProductVersion", "7.0.9")
                .HasAnnotation("Relational:MaxIdentifierLength", 128);

            SqlServerModelBuilderExtensions.UseIdentityColumns(modelBuilder);

            modelBuilder.Entity("DocReader.Data.Models.DataModel", b =>
                {
                    b.Property<string>("Key")
                        .HasColumnType("nvarchar(450)")
                        .HasColumnOrder(1);

                    b.Property<string>("Value")
                        .HasColumnType("nvarchar(450)")
                        .HasColumnOrder(2);

                    b.Property<string>("DocId")
                        .HasColumnType("nvarchar(450)")
                        .HasColumnOrder(3);

                    b.HasKey("Key", "Value", "DocId");

                    b.HasIndex("DocId");

                    b.ToTable("Data");
                });

            modelBuilder.Entity("DocReader.Data.Models.DocModel", b =>
                {
                    b.Property<string>("Id")
                        .HasColumnType("nvarchar(450)");

                    b.HasKey("Id");

                    b.ToTable("Documents");
                });

            modelBuilder.Entity("DocReader.Data.Models.TagModel", b =>
                {
                    b.Property<string>("Tag")
                        .HasColumnType("nvarchar(450)")
                        .HasColumnOrder(1);

                    b.Property<string>("DocId")
                        .HasColumnType("nvarchar(450)")
                        .HasColumnOrder(2);

                    b.HasKey("Tag", "DocId");

                    b.HasIndex("DocId");

                    b.ToTable("Tags");
                });

            modelBuilder.Entity("DocReader.Data.Models.DataModel", b =>
                {
                    b.HasOne("DocReader.Data.Models.DocModel", "Doc")
                        .WithMany("Data")
                        .HasForeignKey("DocId")
                        .OnDelete(DeleteBehavior.Cascade)
                        .IsRequired();

                    b.Navigation("Doc");
                });

            modelBuilder.Entity("DocReader.Data.Models.TagModel", b =>
                {
                    b.HasOne("DocReader.Data.Models.DocModel", "Doc")
                        .WithMany("Tags")
                        .HasForeignKey("DocId")
                        .OnDelete(DeleteBehavior.Cascade)
                        .IsRequired();

                    b.Navigation("Doc");
                });

            modelBuilder.Entity("DocReader.Data.Models.DocModel", b =>
                {
                    b.Navigation("Data");

                    b.Navigation("Tags");
                });
#pragma warning restore 612, 618
        }
    }
}
